# sandesha2_storage_mgr_ops Struct Reference

Storage Manager ops struct Encapsulator struct for ops of sandesha2_storage_mgr. More...

`#include <sandesha2_storage_mgr.h>`

List of all members.

## Public Attributes
axis2_status_t(* | free )(sandesha2_storage_mgr_t *storage_mgr, const axutil_env_t *envv)
axis2_status_t(* | free_void_arg )(void *storage_mgr, const axutil_env_t *env)
axis2_status_t(* | init )(sandesha2_storage_mgr_t *storage_mgr, const axutil_env_t *env, axis2_conf_ctx_t *conf_ctx)
axis2_msg_ctx_t *(* | retrieve_msg_ctx )(sandesha2_storage_mgr_t *storage_mgr, const axutil_env_t *env, axis2_char_t *key, axis2_conf_ctx_t *conf_ctx, const axis2_bool_t persistent)
axis2_status_t(* | store_msg_ctx )(sandesha2_storage_mgr_t *storage_mgr, const axutil_env_t *env, axis2_char_t *key, axis2_msg_ctx_t *msg_ctx, axis2_bool_t store_in_memory)
axis2_status_t(* | update_msg_ctx )(sandesha2_storage_mgr_t *storage_mgr, const axutil_env_t *env, axis2_char_t *key, axis2_msg_ctx_t *msg_ctx)
axis2_status_t(* | remove_msg_ctx )(sandesha2_storage_mgr_t *storage_mgr, const axutil_env_t *env, axis2_char_t *key, axis2_conf_ctx_t *conf_ctx, int msg_type)
axis2_status_t(* | init_storage )(sandesha2_storage_mgr_t *storage_mgr, const axutil_env_t *env, axis2_module_desc_t *module_desc)
axiom_soap_envelope_t *(* | retrieve_soap_envelope )(sandesha2_storage_mgr_t *storage_mgr, const axutil_env_t *env, axis2_char_t *key)
axis2_status_t(* | store_soap_envelope )(sandesha2_storage_mgr_t *storage_mgr, const axutil_env_t *env, axiom_soap_envelope_t *soap_env, axis2_char_t *key)
axis2_status_t(* | store_response )(sandesha2_storage_mgr_t *storage_mgr, const axutil_env_t *env, axis2_char_t *seq_id, axiom_soap_envelope_t *response, int msg_no, int soap_version)
axiom_soap_envelope_t *(* | retrieve_response )(sandesha2_storage_mgr_t *storage_mgr, const axutil_env_t *env, axis2_char_t *seq_id, int msg_no)
axis2_status_t(* | remove_response )(sandesha2_storage_mgr_t *storage_mgr, const axutil_env_t *env, axis2_char_t *seq_id, int msg_no)

## Detailed Description

Storage Manager ops struct Encapsulator struct for ops of sandesha2_storage_mgr.

The documentation for this struct was generated from the following file:

- sandesha2_storage_mgr.h